# models.py

from flask_login import UserMixin
from . import db

class User(UserMixin, db.Model):

    id = db.Column(db.Integer, primary_key=True) # primary keys are required by SQLAlchemy
    email = db.Column(db.String(100), unique=True)
    password = db.Column(db.String(100))
    name = db.Column(db.String(1000))

class Book(db.Model):
    username = db.Column(db.String(1000))
    id = db.Column(db.Integer, primary_key=True) # primary keys are required by SQLAlchemy
    name = db.Column(db.String(1000))
    filename = db.Column(db.String(1000))
    imagename = db.Column(db.String(1000))

